Bug 244480 - Use LINGUAS file for listing "LIVE" languages
Use LINGUAS file for listing "LIVE" languages
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Paul W. Frields
Tommy Reynolds
Depends On:
  Show dependency treegraph
Reported: 2007-06-15 19:32 EDT by Dimitris Glezos
Modified: 2009-07-07 00:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-04 02:25:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dimitris Glezos 2007-06-15 19:32:33 EDT
## Description of problem:

Instead of listing pushlished languages in the Makefile "OTHERS" var, we should
use the standard LINGUAS file in the po directory. This will allow translators
to edit it (they don't have access to the po/../Makefile.


 * http://developer.gnome.org/doc/tutorials/gnome-i18n/developer.html
 * http://www.gnu.org/software/gettext/manual/gettext.html#Maintainers
Comment 1 Paul W. Frields 2007-07-04 02:25:53 EDT
This function has been added to docs-common.  Document authors can override
po/LINGUAS by using OTHERS in the document Makefile, but if that definition is
absent (removed), po/LINGUAS will be used instead.  If both definitions are
missing, that simply means no languages will be built.
Comment 2 Dimitris Glezos 2007-07-04 06:53:26 EDT
Awesome. :)
Comment 3 eric@christensenplace.us 2009-07-07 00:09:52 EDT
Ticket moved to allow products to be removed from BZ.

Note You need to log in before you can comment on or make changes to this bug.